<for> ... </for> |

`<for>` is defined in the Main RXML parser module. Makes it possible to create loops in RXML.

Attributes |
from, step, to, variable,

Attributes

`from`

  Initial value of the loop variable.

`step`

  How much to increment the variable per loop iteration. By default one.

`to`

  How much the loop variable should be incremented to.

`variable`

  Name of the loop variable.

Example

source code

    <gauge>

    </gauge>

    "=> >

result | <gauge> </gauge>